<?php

namespace App\Repositories;

use App\Models\BinderComposition;
use App\Repositories\BaseRepository;

/**
 * Class BinderCompositionRepository
 * @package App\Repositories
 * @version October 12, 2019, 8:46 am UTC
*/

class BinderCompositionRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        
    ];

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return BinderComposition::class;
    }
}
